ZIP_FSEEK(3) | Library Functions Manual | ZIP_FSEEK(3)

# NAME

`zip_fseek` —
seek in file

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int8_t
`zip_fseek`(zip_file_t *file, zip_int64_t offset, int whence);

# DESCRIPTION

The `zip_fseek`() function seeks to the specified offset relative to whence, just like fseek(3).

`zip_fseek` only works on uncompressed (stored) data. When called on compressed data it will return an error.

# RETURN VALUES

If successful, `zip_fseek` returns 0. Otherwise, -1 is returned.

# SEE ALSO

libzip(3), zip_fclose(3), zip_fopen(3), zip_fread(3), zip_ftell(3)

# HISTORY

`zip_fseek`() was added in libzip 1.2.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35